---
title: Create a New Request.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Cloudforce One](https://developers.cloudflare.com/api/go/resources/cloudforce_one)

[Requests](https://developers.cloudflare.com/api/go/resources/cloudforce_one/subresources/requests)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create a New Request.

client.CloudforceOne.Requests.New(ctx, params) (\*[Item](<https://developers.cloudflare.com/api/go/resources/cloudforce_one#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/cloudforce-one/requests/new

Creating a request adds the request into the Cloudforce One queue for analysis. In addition to the content, a short title, type, priority, and releasability should be provided. If one is not provided, a default will be assigned.

##### Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**`X-Auth-Email: user@example.com`

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**`X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194`

##### Accepted Permissions (at least one required)

`Cloudforce One Write`

##### ParametersExpand Collapse

<details>

<summary>

params RequestNewParams

</summary>

AccountID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Content param.Field\[string]Optional

Body param: Request content.

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20content">Link to this property</a>

Priority param.Field\[string]Optional

Body param: Priority for analyzing the request.

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20priority">Link to this property</a>

RequestType param.Field\[string]Optional

Body param: Requested information from request.

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20request_type">Link to this property</a>

Summary param.Field\[string]Optional

Body param: Brief description of the request.

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20summary">Link to this property</a>

<details>

<summary>

TLP param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/cloudforce_one/subresources/requests/methods/create#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tlp%20%3E%20(schema)">RequestNewParamsTLP</a>]Optional

Body param: The CISA defined Traffic Light Protocol (TLP).

</summary>

const RequestNewParamsTLPClear <a href="https://developers.cloudflare.com/api/go/resources/cloudforce_one/subresources/requests/methods/create#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tlp%20%3E%20(schema)">RequestNewParamsTLP</a> = "clear"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tlp%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const RequestNewParamsTLPAmber <a href="https://developers.cloudflare.com/api/go/resources/cloudforce_one/subresources/requests/methods/create#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tlp%20%3E%20(schema)">RequestNewParamsTLP</a> = "amber"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tlp%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const RequestNewParamsTLPAmberStrict <a href="https://developers.cloudflare.com/api/go/resources/cloudforce_one/subresources/requests/methods/create#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tlp%20%3E%20(schema)">RequestNewParamsTLP</a> = "amber-strict"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tlp%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const RequestNewParamsTLPGreen <a href="https://developers.cloudflare.com/api/go/resources/cloudforce_one/subresources/requests/methods/create#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tlp%20%3E%20(schema)">RequestNewParamsTLP</a> = "green"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tlp%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

const RequestNewParamsTLPRed <a href="https://developers.cloudflare.com/api/go/resources/cloudforce_one/subresources/requests/methods/create#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tlp%20%3E%20(schema)">RequestNewParamsTLP</a> = "red"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tlp%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20tlp">Link to this property</a>

</details>

[Link to this property](<#(resource)%20cloudforce_one.requests%20%3E%20(method)%20create%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type Item struct{…}

</summary>

ID string

UUID.

maxLength36

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Content string

Request content.

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20content">Link to this property</a>

Created Time

formatdate-time

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

Priority Time

formatdate-time

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20priority">Link to this property</a>

Request string

Requested information from request.

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20request">Link to this property</a>

Summary string

Brief description of the request.

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20summary">Link to this property</a>

<details>

<summary>

TLP ItemTLP

The CISA defined Traffic Light Protocol (TLP).

</summary>

One of the following:

const ItemTLPClear ItemTLP = "clear"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20tlp%20%3E%20(member)%200">Link to this property</a>

const ItemTLPAmber ItemTLP = "amber"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20tlp%20%3E%20(member)%201">Link to this property</a>

const ItemTLPAmberStrict ItemTLP = "amber-strict"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20tlp%20%3E%20(member)%202">Link to this property</a>

const ItemTLPGreen ItemTLP = "green"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20tlp%20%3E%20(member)%203">Link to this property</a>

const ItemTLPRed ItemTLP = "red"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20tlp%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20tlp">Link to this property</a>

Updated Time

formatdate-time

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20updated">Link to this property</a>

Completed TimeOptional

formatdate-time

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20completed">Link to this property</a>

MessageTokens int64Optional

Tokens for the request messages.

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20message_tokens">Link to this property</a>

ReadableID stringOptional

Readable Request ID.

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20readable_id">Link to this property</a>

<details>

<summary>

Status ItemStatusOptional

Request Status.

</summary>

One of the following:

const ItemStatusOpen ItemStatus = "open"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

const ItemStatusAccepted ItemStatus = "accepted"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

const ItemStatusReported ItemStatus = "reported"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

const ItemStatusApproved ItemStatus = "approved"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

const ItemStatusCompleted ItemStatus = "completed"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%204">Link to this property</a>

const ItemStatusDeclined ItemStatus = "declined"

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

Tokens int64Optional

Tokens for the request.

<a href="#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)%20%3E%20(property)%20tokens">Link to this property</a>

</details>

[Link to this property](<#(resource)%20cloudforce_one.requests%20%3E%20(model)%20item%20%3E%20(schema)>)

### Create a New Request.

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/cloudforce_one"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  item, err := client.CloudforceOne.Requests.New(context.TODO(), cloudforce_one.RequestNewParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", item.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "content": "What regions were most effected by the recent DoS?",
    "created": "2022-04-01T05:20:00Z",
    "priority": "2022-04-01T05:20:00Z",
    "request": "Victomology",
    "summary": "DoS attack",
    "tlp": "clear",
    "updated": "2022-04-01T05:20:00Z",
    "completed": "2022-04-01T05:20:00Z",
    "message_tokens": 1,
    "readable_id": "RFI-2022-000001",
    "status": "open",
    "tokens": 16
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "content": "What regions were most effected by the recent DoS?",
    "created": "2022-04-01T05:20:00Z",
    "priority": "2022-04-01T05:20:00Z",
    "request": "Victomology",
    "summary": "DoS attack",
    "tlp": "clear",
    "updated": "2022-04-01T05:20:00Z",
    "completed": "2022-04-01T05:20:00Z",
    "message_tokens": 1,
    "readable_id": "RFI-2022-000001",
    "status": "open",
    "tokens": 16
  }
}
```